| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgE911LIN Struct Reference
Business Group Features

E9-1-1 LIN Administration. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
char * | DefaultEmergencyNumber
| If an emergency call cannot be routed to a PSAP operator, the call is routed to this number if it exists. More...
char * | DefaultInterceptName
| In case an emergency call cannot be routed to the BG default emergency number, the call is routed to this intercept. More...
enum unsp__BgE911LINPriorityType * | PriorityType
| The type of priority for the lin lookup. More...

## Detailed Description

E9-1-1 LIN Administration.

E9-1-1 LIN Administration indicates that the E9-1-1 service is to be used to accomplish the routing of emergency calls from BGLs that are members of this Business Group. Also, the assignment of this service to a BG is expected to be done only by the authorized overall BG Controller for the system. The provisioning of this service to a BG indicates that the BG Administrator for that BG has the capability to use the BG Subnet methods.
MP2 command: CFBgE911LIN [Attributes]

## Member Data Documentation

## ◆ DefaultEmergencyNumber

char* unsp__CfBgE911LIN::DefaultEmergencyNumber

If an emergency call cannot be routed to a PSAP operator, the call is routed to this number if it exists.

This field is optional when assigning the E9-1-1 LIN Administration feature via the UpdateBgFeatures request. If it is supplied, the SOAP Server verifies through translation that the number is routable, and also verifies that it corresponds to a BGL that is a member of the BG being updated. If these checks fail, the request is rejected. Note that the BGL whose DN is specified as the E9-1-1 Default Emergency Number may not be deleted unless this service is updated to remove the specification of that DN.
required: false
default value[range]: NA [1..15]

## ◆ DefaultInterceptName

char* unsp__CfBgE911LIN::DefaultInterceptName

In case an emergency call cannot be routed to the BG default emergency number, the call is routed to this intercept.

required: true
default value[range]: NA [1..15]

## ◆ PriorityType

enum unsp__BgE911LINPriorityType* unsp__CfBgE911LIN::PriorityType

The type of priority for the lin lookup.

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgE911LIN::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h